package com.ruoyi.interfaces.mapper;

import com.ruoyi.interfaces.domain.PtReportFile;
import com.ruoyi.interfaces.domain.PtReportFileCriteria;

import java.util.List;

public interface PtReportFileMapper {
    int deleteByPrimaryKey(String fileId);

    int insert(PtReportFile record);

    int insertSelective(PtReportFile record);

    List<PtReportFile> selectByExampleWithRowbounds(PtReportFile pt);

    List<PtReportFile> selectByExample(PtReportFileCriteria example);

    PtReportFile selectByPrimaryKey(String fileId);

    int updateByPrimaryKeySelective(PtReportFile record);

    int updateByPrimaryKey(PtReportFile record);

    PtReportFile selectCodeFile(String code);
}
